Bug 691956 - [RFE] Support for WebHelp output.
[RFE] Support for WebHelp output.
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-29 19:56 EDT by Stephen Gordon
Modified: 2011-08-23 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-23 22:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2011-03-29 19:56:33 EDT
Description of problem:

Rudi has noted that as of DocBook 1.76.1 a new output format called WebHelp is supported (http://www.janetswisher.com/?itemid=273).

We are currently looking at using the publican generated html output for providing context sensitive help from a GUI application. It is suspect that long term this new output format may be a better fit for this use case.

Request investigation into the feasibility of adding WebHelp support to publican.
Comment 1 Jeff Fearn 2011-04-18 01:56:28 EDT
I could have sworn I replied to this ticket o_O

It is highly unlikely we will support this format.

Firstly, the tool is in Java and we are actively reducing external dependencies; reversing this trend would take considerable persuasion.

Secondly, the tool is not part of DocBook 1.76.1, it is a completely separate system. This system is not packaged for Fedora and is unlikely to readily pass the packaging process.

Thirdly, the approach taken basically builds a separate website for each book. This lack of integration makes it unsuitable for product based websites.

Fourthly, the approach used is client based and it's highly likely that the sheer size of some of our content will make this system perform extremely poorly. Loading megabytes of search information in to java-script is going to be extremely expensive on bandwidth and browser resources.
Comment 2 Jeff Fearn 2011-08-23 22:00:45 EDT
Definitely don't want to be adding any more Java based deps.

Note You need to log in before you can comment on or make changes to this bug.